Topic: Mysqlclient dependency problems

Hello Remi,

I am a long time user of your Fedora repository.  Thank you for all of your work!

With F11 being released next week, and Anaconda being the only major change on the books, I recently attempted to upgrade F10 to F11.  I have been upgrading Fedora in this manner since FC3.   I have updated the F11 core/update repositories, rawhide, and the remi repository to reflect the latest URLs.  The only problems I am having are in regard to the mysqlclient15-5.0.67-1.fc10.remi.i386 RPM.  Here are the errors I am receiving:

--> Running transaction check
---> Package libconfig.i586 0:1.3.1-3.fc11 set to be updated
--> Processing Dependency: libcrypto.so.7 for package: mysqlclient15
--> Processing Dependency: libcrypto.so.7 for package: ntp
--> Processing Dependency: libssl.so.7 for package: mysqlclient15
--> Finished Dependency Resolution
mysqlclient15-5.0.67-1.fc10.remi.i386 from installed has depsolving problems
  --> Missing Dependency: libcrypto.so.7 is needed by package mysqlclient15-5.0.67-1.fc10.remi.i386 (installed)
ntp-4.2.4p7-1.fc10.i386 from installed has depsolving problems
  --> Missing Dependency: libcrypto.so.7 is needed by package ntp-4.2.4p7-1.fc10.i386 (installed)
mysqlclient15-5.0.67-1.fc10.remi.i386 from installed has depsolving problems
  --> Missing Dependency: libssl.so.7 is needed by package mysqlclient15-5.0.67-1.fc10.remi.i386 (installed)
--> Running transaction check
---> Package kernel.i686 0:2.6.27.19-170.2.35.fc10 set to be erased
--> Processing Dependency: libcrypto.so.7 for package: mysqlclient15
--> Processing Dependency: libcrypto.so.7 for package: ntp
--> Processing Dependency: libssl.so.7 for package: mysqlclient15
--> Finished Dependency Resolution
mysqlclient15-5.0.67-1.fc10.remi.i386 from installed has depsolving problems
  --> Missing Dependency: libcrypto.so.7 is needed by package mysqlclient15-5.0.67-1.fc10.remi.i386 (installed)
ntp-4.2.4p7-1.fc10.i386 from installed has depsolving problems
  --> Missing Dependency: libcrypto.so.7 is needed by package ntp-4.2.4p7-1.fc10.i386 (installed)
mysqlclient15-5.0.67-1.fc10.remi.i386 from installed has depsolving problems
  --> Missing Dependency: libssl.so.7 is needed by package mysqlclient15-5.0.67-1.fc10.remi.i386 (installed)
Error: Missing Dependency: libcrypto.so.7 is needed by package ntp-4.2.4p7-1.fc10.i386 (installed)
Error: Missing Dependency: libssl.so.7 is needed by package mysqlclient15-5.0.67-1.fc10.remi.i386 (installed)
Error: Missing Dependency: libcrypto.so.7 is needed by package mysqlclient15-5.0.67-1.fc10.remi.i386 (installed)

The mysqlclient RPM appears to have many dependencies, despite not existing in the F11 repository, or the remi-f11 repository:

Dependencies Resolved

=====================================================================================================================================
 Package                               Arch                    Version                              Repository                  Size
=====================================================================================================================================
Removing:
 mysqlclient15                         i386                    5.0.67-1.fc10.remi                   installed                  2.8 M
Removing for dependencies:
 alpine                                i386                    2.00-1.fc10                          installed                  8.3 M
 clamav-update                         i386                    0.94.2-1.fc10                        installed                  104 k
 cronie                                i386                    1.2-8.fc10                           installed                  645 k
 mgetty                                i386                    1.1.36-2.fc10                        installed                  976 k
 mgetty-sendfax                        i386                    1.1.36-2.fc10                        installed                  271 k
 munin-node                            noarch                  1.2.6-3.fc10                         installed                  569 k
 mysql-server                          i386                    5.1.34-1.fc10.remi                   installed                   24 M
 perl-DBD-MySQL                        i386                    4.005-8.fc9                          installed                  417 k
 php-mysql                             i386                    5.2.9-2.fc10                         installed                  174 k
 postfix                               i386                    2:2.5.6-1.fc10                       installed                  9.3 M
 postfix-perl-scripts                  i386                    2:2.5.6-1.fc10                       installed                  104 k
 pure-ftpd                             i386                    1.0.22-1.fc10                        installed                  548 k
 sysstat                               i386                    8.0.4-5.fc10                         installed                  460 k

Since this is a server, most of those dependencies are required.  I am wondering if I can simply force uninstall 'ntp' and 'mysqlclient15' without negative side effects.  I assume mysqlclient15 is the MySQL 5.0 compatibility library, but since I don't see it in the base packages, nor in your F11 repo, I'm not sure why it would be tied to these RPMs.

Any help would be appreciated!  Thank you.

Re: Mysqlclient dependency problems

> I assume mysqlclient15 is the MySQL 5.0 compatibility library
Yes, so it's not needed in F11 where all packages are build against MySQL 5.1.

If you update all this packages to F11 version, you could then remove mysqlclient15 without any dependency.

> I am wondering if I can simply force uninstall 'ntp' and 'mysqlclient15' without negative side effects.
Seems ok

+

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test